'use strict';

var _chai = require('chai');

var _getBasePath = require('../getBasePath');

var _getBasePath2 = _interopRequireDefault(_getBasePath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-unused-expressions */


describe('getBasePath', function () {
  var compiler = void 0;

  beforeEach(function () {
    compiler = {
      options: {
        output: {}
      }
    };
  });

  it('should generate basePath out of the publicPath and dest', function () {
    compiler.options.output.publicPath = 'some';
    var result = (0, _getBasePath2.default)(compiler, { dest: 'space' });
    (0, _chai.expect)(result).to.equal('/some/space');
  });

  it('should generate basePath out of the publicPath', function () {
    compiler.options.output.publicPath = 'some';
    var result = (0, _getBasePath2.default)(compiler, {});
    (0, _chai.expect)(result).to.equal('/some');
  });

  it('should generate basePath out of dest', function () {
    var result = (0, _getBasePath2.default)(compiler, { dest: 'space' });
    (0, _chai.expect)(result).to.equal('/space');
  });

  it('should retrun an empty string in case no publicPath or dest provided', function () {
    var result = (0, _getBasePath2.default)(compiler, {});
    (0, _chai.expect)(result).to.equal('');
  });
});