'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constructorIndexInArray = require('./constructorIndexInArray');

var _constructorIndexInArray2 = _interopRequireDefault(_constructorIndexInArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Take a good guess if a webpack compiler instance is running in production
 *
 * @param  {Object} compiler
 *
 * @return {Bool}
 */
function inProd(compiler) {
  return process.env.NODE_ENV === 'production' || // $ NODE_ENV=production webpack …
  (0, _constructorIndexInArray2.default)(compiler.options.plugins, 'UglifyJsPlugin'); // $ webpack -p …
}

exports.default = inProd;